INodeFileAttributes.SnapshotCopy (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, interface: INodeFileAttributes, class: SnapshotCopy

Package org.apache.hadoop.hdfs.server.namenode

# Class INodeFileAttributes.SnapshotCopy

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy
org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes.SnapshotCopy

All Implemented Interfaces:
  `INodeAttributes`, `INodeFileAttributes`

Enclosing interface:
  INodeFileAttributes

public static class INodeFileAttributes.SnapshotCopy extends INodeAttributes.SnapshotCopy implements INodeFileAttributes
A copy of the inode file attributes

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  `INodeAttributes.SnapshotCopy`

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes

  `INodeFileAttributes.SnapshotCopy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SnapshotCopy(byte[] name, org.apache.hadoop.fs.permission.PermissionStatus permissions, AclFeature aclFeature, long modificationTime, long accessTime, Short replication, Byte ecPolicyID, long preferredBlockSize, byte storagePolicyID, XAttrFeature xAttrsFeature, org.apache.hadoop.hdfs.protocol.BlockType blockType)`
  `SnapshotCopy(INodeFile file)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.protocol.BlockType`
  `getBlockType()`
  `byte`
  `getErasureCodingPolicyID()`
  `short`
  `getFileReplication()`
  `long`
  `getHeaderLong()`
  `byte`
  `getLocalStoragePolicyID()`
  `long`
  `getPreferredBlockSize()`
  `boolean`
  `isDirectory()`
  `boolean`
  `isStriped()`
  `boolean`
  `metadataEquals(INodeFileAttributes other)`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy

  `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

- ## Constructor Details

  - ### SnapshotCopy

    public SnapshotCopy(byte[] name, org.apache.hadoop.fs.permission.PermissionStatus permissions, AclFeature aclFeature, long modificationTime, long accessTime, Short replication, Byte ecPolicyID, long preferredBlockSize, byte storagePolicyID, XAttrFeature xAttrsFeature, org.apache.hadoop.hdfs.protocol.BlockType blockType)

  - ### SnapshotCopy

    public SnapshotCopy(INodeFile file)

- ## Method Details

  - ### isDirectory

    public boolean isDirectory()
    Specified by:
      `isDirectory` in interface `INodeAttributes`

  - ### getFileReplication

    public short getFileReplication()
    Specified by:
      `getFileReplication` in interface `INodeFileAttributes`
    Returns:
      the file replication.

  - ### isStriped

    public boolean isStriped()
    Specified by:
      `isStriped` in interface `INodeFileAttributes`
    Returns:
      whether the file is striped (instead of contiguous)

  - ### getBlockType

    public org.apache.hadoop.hdfs.protocol.BlockType getBlockType()
    Specified by:
      `getBlockType` in interface `INodeFileAttributes`
    Returns:
      whether the file is striped (instead of contiguous)

  - ### getErasureCodingPolicyID

    public byte getErasureCodingPolicyID()
    Specified by:
      `getErasureCodingPolicyID` in interface `INodeFileAttributes`
    Returns:
      the ID of the ErasureCodingPolicy

  - ### getPreferredBlockSize

    public long getPreferredBlockSize()
    Specified by:
      `getPreferredBlockSize` in interface `INodeFileAttributes`
    Returns:
      preferred block size in bytes

  - ### getLocalStoragePolicyID

    public byte getLocalStoragePolicyID()
    Specified by:
      `getLocalStoragePolicyID` in interface `INodeFileAttributes`

  - ### getHeaderLong

    public long getHeaderLong()
    Specified by:
      `getHeaderLong` in interface `INodeFileAttributes`
    Returns:
      the header as a long.

  - ### metadataEquals

    public boolean metadataEquals(INodeFileAttributes other)
    Specified by:
      `metadataEquals` in interface `INodeFileAttributes`